%define oname   hoe

Name:       ruby-%{oname}
Version:    2.9.4
Release:    %mkrel 1
Summary:    A rake/rubygems helper for project Rakefiles
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/seattlerb/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygem(minitest) >= 2.0.2
BuildRequires: rubygem(rake)
BuildRequires: rubygems
BuildArch:  noarch

%description
Hoe is a rake/rubygems helper for project Rakefiles. It helps you
manage and maintain, and release your project and includes a dynamic
plug-in system allowing for easy extensibility. Hoe ships with
plug-ins for all your usual project tasks including rdoc generation,
testing, packaging, and deployment.

See class rdoc for help. Hint: `ri Hoe` or any of the plugins listed
below.

For extra goodness, see: http://seattlerb.rubyforge.org/hoe/Hoe.pdf

%files
%defattr(-, root, root, -)
%{_bindir}/sow
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
#skip test at the moment
#rake test

%clean
rm -rf %{buildroot}




%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 2.9.4-1.mga1
+ Revision: 82583
- new version 2.9.4 - skip test

* Thu Mar 17 2011 shikamaru <shikamaru> 2.9.1-1.mga1
+ Revision: 73385
- update minitest version in BR
- new version 2.9.1

* Fri Jan 28 2011 shikamaru <shikamaru> 2.8.0-1.mga1
+ Revision: 43006
- New version 2.8.0
- new BR

* Tue Jan 25 2011 shikamaru <shikamaru> 2.6.2-5.mga1
+ Revision: 39592
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.6.2-4.mga1
+ Revision: 34681
- readd check section

* Sun Jan 23 2011 shikamaru <shikamaru> 2.6.2-3.mga1
+ Revision: 34676
- fix circular dependency
- imported package ruby-hoe


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.6.2-3mdv2011.0
- Apply new ruby policy

* Tue Dec 07 2010 Rémy Clouard <shikamaru@mandriva.org> 2.6.2-2mdv2011.0
+ Revision: 614533
- remove useless suggests and add corresponding provides

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.6.2-1mdv2011.0
+ Revision: 579407
- new release: 2.6.2
- don't install gem archive
- add minitest to suggests

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.5.0-1mdv2010.1
+ Revision: 500390
- import rubygem-hoe


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.0-1
- initial release
